MathTask (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.math

## Class MathTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - net.sf.antcontrib.math.MathTask

- All Implemented Interfaces:
    java.lang.Cloneable, org.apache.tools.ant.DynamicAttribute, org.apache.tools.ant.DynamicConfigurator, org.apache.tools.ant.DynamicElement

      public class MathTask
      extends org.apache.tools.ant.Task
      implements org.apache.tools.ant.DynamicConfigurator

  Task for mathematical operations.
  Author:
    inger

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MathTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `createDynamicElement(java.lang.String name)`
    `Operation` | `createOp()`
    `Operation` | `createOperation()`
    `void` | `execute()`
    `void` | `setDatatype(java.lang.String datatype)`
    `void` | `setDataType(java.lang.String dataType)`
    `void` | `setDynamicAttribute(java.lang.String s, java.lang.String s1)`
    `void` | `setOperand1(java.lang.String operand1)`
    `void` | `setOperand2(java.lang.String operand2)`
    `void` | `setOperation(java.lang.String operation)`
    `void` | `setResult(java.lang.String result)`
    `void` | `setStrict(boolean strict)`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MathTask

          public MathTask()

  - ### Method Detail

    - #### execute

          public void execute()
                       throws org.apache.tools.ant.BuildException

      Overrides:
        `execute` in class `org.apache.tools.ant.Task`
      Throws:
        `org.apache.tools.ant.BuildException`

    - #### setDynamicAttribute

          public void setDynamicAttribute(java.lang.String s,
                                 java.lang.String s1)
                                   throws org.apache.tools.ant.BuildException

      Specified by:
        `setDynamicAttribute` in interface `org.apache.tools.ant.DynamicAttribute`
      Throws:
        `org.apache.tools.ant.BuildException`

    - #### createDynamicElement

          public java.lang.Object createDynamicElement(java.lang.String name)
                                                throws org.apache.tools.ant.BuildException

      Specified by:
        `createDynamicElement` in interface `org.apache.tools.ant.DynamicElement`
      Throws:
        `org.apache.tools.ant.BuildException`

    - #### setResult

          public void setResult(java.lang.String result)

    - #### setDatatype

          public void setDatatype(java.lang.String datatype)

    - #### setStrict

          public void setStrict(boolean strict)

    - #### setOperation

          public void setOperation(java.lang.String operation)

    - #### setDataType

          public void setDataType(java.lang.String dataType)

    - #### setOperand1

          public void setOperand1(java.lang.String operand1)

    - #### setOperand2

          public void setOperand2(java.lang.String operand2)

    - #### createOperation

          public Operation createOperation()

    - #### createOp

          public Operation createOp()